.. program:: qvm-tags

:program:`qvm-tags` -- manage domain's tags
===========================================

.. warning::

   This page was autogenerated from command-line parser. It shouldn't be 1:1
   conversion, because it would add little value. Please revise it and add
   more descriptive help, which normally won't fit in standard ``--help``
   option.

   After rewrite, please remove this admonition.

Synopsis
--------

| :command:`qvm-tags` [-h] [--verbose] [--quiet] *VMNAME* {list,ls,l} [*TAG*]
| :command:`qvm-tags` [-h] [--verbose] [--quiet] *VMNAME* {add,a,set} *TAG* ...
| :command:`qvm-tags` [-h] [--verbose] [--quiet] *VMNAME* {del,d,unset,u} *TAG* ...


Options
-------

.. option:: --help, -h

   Show the help message and exit.

.. option:: --verbose, -v

   Increase verbosity.

.. option:: --quiet, -q

   Decrease verbosity.

Commands
--------

list
^^^^

| :command:`qvm-tags` [-h] [--verbose] [--quiet] *VMNAME* list [*TAG*]

List tags. If tag name is given, check if this tag is set for the VM and signal
this with exit code (0 - tag is set, 1 - it is not).

aliases: ls, l

add
^^^

| :command:`qvm-tags` [-h] [--verbose] [--quiet] *VMNAME* add *TAG* [*TAG* ...]

Add tag(s) to a VM. If tag is already set for given VM, do nothing.

aliases: a, set

del
^^^

| :command:`qvm-tags` [-h] [--verbose] [--quiet] *VMNAME* del *TAG* [*TAG* ...]

Delete tag(s) from a VM. If tag is not set for given VM, do nothing.

aliases: d, unset, u


Authors
-------

| Joanna Rutkowska <joanna at invisiblethingslab dot com>
| Wojtek Porczyk <woju at invisiblethingslab dot com>

| For complete author list see: https://github.com/QubesOS/qubes-core-admin-client.git

.. vim: ts=3 sw=3 et tw=80
